POEDIT(1)

NAZWA
poedit - program wspomagający edycję plików po gettext

SKŁADNIA
poedit [-a] [-p] [-n] <plik.po>

potooledit [-a] [-p] [-n] <plik.po>

OPIS
poedit to skrypt powłoki, wspomagający edycję plików po gettext przy pomocy Twojego ulubionego edytora. Używa on także poleceń potool(1) oraz iconv(1).

W pierwszej kolejności poedit pobiera nieprzetłumaczone wpisy z podanego pliku (lub, jeśli podano opcję -a, zmienia kolejność wpisów tak, aby przetłumaczone wpisy były skupione osobno, a nieprzetłumaczone - osobno) i umieszcza je w pliku tymczasowym. Następnie zmienia kodowanie pliku na takie, jakiego używa locale środowiska, i otwiera go w Twoim ulubionym edytorze, umożliwiając dodanie nowych tłumaczeń. Po zamknięciu edytora, przekodowuje plik tymczasowy z powrotem do oryginalnego kodowania, i włącza zmienione tłumaczenia z powrotem od oryginalnego pliku.

poedit jest także znany pod nazwą potooledit w systemie Debian, aby uniknąć kolizji z innym programem o tej samej nazwie.

OPCJE

-a  powoduje także włączenie przetłumaczonych wpisów do tymczasowego pliku do edycji (grupuje je jednak oddzielnie).
    Bez tej opcji tylko nieprzetłumaczone wpisy (i nagłówek pliku) są przedstawione do edycji.

-p  powoduje zachowanie oryginalnego formatowania. Bez tej opcji program zawija na znakach końca linii lub między wyrazami wszystkie linie w edytowanych plikach tak aby zmieściły się w 80 kolumnach.

-n  powoduje zaniechanie jakiejkolwiek zmiany kodowania przed lub po edycji pliku.
    Należy unikać używania tej opcji bez konkretnej potrzeby lub zrozumienia jej konsekwencji (zwłaszcza gdy nie używa się -a) w przypadku plików w kodowaniu niezgodnym z kodowaniem bieżącego locale. W tym przypadku tymczasowy plik do edycji będzie zawierał prawdopodobnie jedynie znaki ASCII, w związku z czym edytor będzie mógł zinterpretować jego kodowanie jako kodowanie locale. To z kolei spowoduje, że po połączeniu z tymczasowym plikiem, wyjściowy będzie nieprawidłowy. Zgłoszenie błędu Debiana #297074 zawiera przykładowy opis takiej sytuacji.

PRZESTROGI
Domyślnie ten program zawija po swojemu wszystkie linie w edytowanych plikach. Patrz też opcja -p

ZOBACZ TAKŻE
potool(1), postats(1), locale charmap(1), msgmerge(1), msgfmt(1).

AUTOR
Potool został napisany przez Zbigniewa Chylę, a obecnie jego opiekunem jest Marcin Owsiany <porridge@debian.org>.